Package org.apache.lucene.facet.taxonomy

## Class FloatTaxonomyFacets

- java.lang.Object
- - org.apache.lucene.facet.Facets
  - - org.apache.lucene.facet.taxonomy.TaxonomyFacets
    - - org.apache.lucene.facet.taxonomy.FloatTaxonomyFacets

- Direct Known Subclasses:
    `TaxonomyFacetFloatAssociations`

      @Deprecated
      public abstract class FloatTaxonomyFacets
      extends TaxonomyFacets

  Deprecated.
  Visibility of this class will be reduced to pkg-private in a future version. This class is meant to host common code as an internal implementation detail to taxonomy faceting,and is not intended as an extension point for user-created `Facets` implementations. If your code is relying on this, please migrate necessary functionality down into your own class.
  Base class for all taxonomy-based facets that aggregate to a per-ords float[].

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected AssociationAggregationFunction` | `aggregationFunction` | Deprecated. Aggregation function used for combining values.
    `protected float[]` | `values` | Deprecated. Per-ordinal value.

    - ### Fields inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

      `config, indexFieldName, parents, taxoReader`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `FloatTaxonomyFacets​(String indexFieldName, TaxonomyReader taxoReader, FacetsConfig config)` | Deprecated. Constructor that defaults the aggregation function to `AssociationAggregationFunction.SUM`.
    `protected` | `FloatTaxonomyFacets​(String indexFieldName, TaxonomyReader taxoReader, AssociationAggregationFunction aggregationFunction, FacetsConfig config)` | Deprecated. Constructor that uses the provided aggregation function.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Number` | `getSpecificValue​(String dim, String... path)` | Deprecated. Return the count or value for a specific path.
    `FacetResult` | `getTopChildren​(int topN, String dim, String... path)` | Deprecated. Returns the topN child labels under the specified path.
    `List<FacetResult>` | `getTopDims​(int topNDims, int topNChildren)` | Deprecated. Returns labels for topN dimensions and their topNChildren sorted by the number of hits/aggregated values that dimension matched; Results should be the same as calling getAllDims and then only using the first topNDims; Sub-classes may want to override this implementation with a more efficient one if they are able.
    `protected void` | `rollup()` | Deprecated. Rolls up any single-valued hierarchical dimensions.

    - ### Methods inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

      `childrenLoaded, getAllDims, getChildren, getSiblings, siblingsLoaded, verifyDim`

    - ### Methods inherited from class org.apache.lucene.facet.Facets

      `validateTopN`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### aggregationFunction

          protected final AssociationAggregationFunction aggregationFunction

      Deprecated.
      Aggregation function used for combining values.

    - #### values

          protected final float[] values

      Deprecated.
      Per-ordinal value.

  - ### Constructor Detail

    - #### FloatTaxonomyFacets

          protected FloatTaxonomyFacets​(String indexFieldName,
                                        TaxonomyReader taxoReader,
                                        FacetsConfig config)
                                 throws IOException

      Deprecated.
      Constructor that defaults the aggregation function to `AssociationAggregationFunction.SUM`.
      Throws:
        `IOException`

    - #### FloatTaxonomyFacets

          protected FloatTaxonomyFacets​(String indexFieldName,
                                        TaxonomyReader taxoReader,
                                        AssociationAggregationFunction aggregationFunction,
                                        FacetsConfig config)
                                 throws IOException

      Deprecated.
      Constructor that uses the provided aggregation function.
      Throws:
        `IOException`

  - ### Method Detail

    - #### rollup

          protected void rollup()
                         throws IOException

      Deprecated.
      Rolls up any single-valued hierarchical dimensions.
      Throws:
        `IOException`

    - #### getSpecificValue

          public Number getSpecificValue​(String dim,
                                         String... path)
                                  throws IOException

      Deprecated.
      Description copied from class: `Facets`
      Return the count or value for a specific path. Returns -1 if this path doesn't exist, else the count.
      Specified by:
        `getSpecificValue` in class `Facets`
      Throws:
        `IOException`

    - #### getTopChildren

          public FacetResult getTopChildren​(int topN,
                                            String dim,
                                            String... path)
                                     throws IOException

      Deprecated.
      Description copied from class: `Facets`
      Returns the topN child labels under the specified path. Returns null if the specified path doesn't exist or if this dimension was never seen.
      Specified by:
        `getTopChildren` in class `Facets`
      Throws:
        `IOException`

    - #### getTopDims

          public List<FacetResult> getTopDims​(int topNDims,
                                              int topNChildren)
                                       throws IOException

      Deprecated.
      Description copied from class: `Facets`
      Returns labels for topN dimensions and their topNChildren sorted by the number of hits/aggregated values that dimension matched; Results should be the same as calling getAllDims and then only using the first topNDims; Sub-classes may want to override this implementation with a more efficient one if they are able.
      Overrides:
        `getTopDims` in class `Facets`
      Throws:
        `IOException`